/*Image renderer for table in mainwindow*/
package functions;
import javax.swing.JLabel;
import javax.swing.ImageIcon;  
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer; 
import java.awt.Component; 

public class ImageRenderer extends DefaultTableCellRenderer {
  JLabel lbl = new JLabel();
  ImageIcon icon = null;
      
  public ImageRenderer(String path) {icon = new ImageIcon(path);}
   
  public void setValue(Object value) {
    icon = new ImageIcon((String)value);
    lbl.setIcon(icon); 
  }
      
  public Component getTableCellRendererComponent(JTable table, Object value,
                                                     boolean isSelected, boolean hasFocus, 
                                                     int row, int column) {                  
    icon = new ImageIcon((String)value);
    lbl.setIcon(icon);
    if (isSelected) {
      lbl.setBackground(table.getSelectionBackground());
    } else {
      lbl.setBackground(table.getBackground());
    }
    return lbl;
  }

}  
