package functions;

import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;

public class ProgressBarRenderer implements TableCellRenderer {

private JProgressBar bar;

  public ProgressBarRenderer(String s) {
    bar = new JProgressBar(0,100);
    bar.setValue(new Integer(s));
  }

  public void setValue(Object value) {
    bar.setValue(new Integer((String)value));
  }

  public Component getTableCellRendererComponent(JTable table, Object value,
                                                     boolean isSelected, boolean hasFocus, 
                                                     int row, int column) {                  
    setValue(value);
    return bar;
  }
}

