 /*ToolBar for main window */
package ui;

import javax.swing.JToolBar;
import javax.swing.JButton;
import javax.swing.ImageIcon;
import ui.MainWindow;
import ui.addlinks.AddLinks;
import java.awt.event.*;

public class ToolBar extends JToolBar implements ActionListener{

private JButton mAdd,mRemove,mPause,mStart;
private MainWindow mParent;
  public ToolBar(MainWindow parent){
    super();
    mParent=parent;
    JButton mAdd = new JButton(new ImageIcon("graphics/add.png"));
    mAdd.setActionCommand("links");
    mAdd.addActionListener(this);
    add(mAdd);
    JButton mRemove = new JButton(new ImageIcon("graphics/remove.png"));
    mRemove.setActionCommand("remove");
    mRemove.addActionListener(this);
    add(mRemove);
    addSeparator();
    JButton mPause = new JButton(new ImageIcon("graphics/pause.png"));
    mPause.setActionCommand("pause");
    mPause.addActionListener(this);
    add(mPause);
    JButton mStart = new JButton(new ImageIcon("graphics/start.png"));
    mStart.setActionCommand("start");
    mStart.addActionListener(this);
    add(mStart);
  }

  public JButton getAdd(){return this.mAdd;}

  public void setAdd(JButton Add){this.mAdd=Add;}

  public JButton getRemove(){return this.mRemove;}

  public void setRemove(JButton Remove){this.mRemove=Remove;}

  public JButton getPause(){return this.mPause;}

  public void setPause(JButton Pause){this.mPause=Pause;}

  public JButton getStart(){return this.mStart;}

  public void setStart(JButton Start){this.mStart=Start;}

public void actionPerformed(ActionEvent e) {
    if ("links".equals(e.getActionCommand())) {
      AddLinks links = new AddLinks(mParent,"");
      links.setVisible(true);
      mParent.setDodaj(links);
      mParent.setDodajIsOpen(mParent.dodajIsOpen()+1);
    } else if("remove".equals(e.getActionCommand())){
      mParent.remove();
      mParent.getTable().updateUI();
    } else if("pause".equals(e.getActionCommand())){
      mParent.pause();
      mParent.getTable().updateUI();
    } else if("start".equals(e.getActionCommand())){
      mParent.start();
      mParent.getTable().updateUI();
    }
} 
}

