package ui.addlinks;

import java.util.Vector;
import javax.swing.*;
import functions.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;
import ui.MainWindow;
import javax.swing.filechooser.*; 
import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class AddLinks extends JFrame implements ActionListener{

JTextArea mLinki;
JButton ok;
JButton cancel;
JButton destiny;
JTextField directory;
JComboBox priorytet;

MainWindow parent;

public AddLinks(MainWindow parent,String linki){
super("JGetRap :: Add Links");
this.parent=parent;
    setSize(400,600);
    ok = new JButton("Ok",new ImageIcon("graphics/ok.png"));
    ok.setActionCommand("add");
    ok.addActionListener(this);
    cancel = new JButton("Cancel",new ImageIcon("graphics/ok.png"));
    cancel.setActionCommand("close");
    cancel.addActionListener(this);
    destiny = new JButton("Destiny",new ImageIcon("graphics/ok.png"));
    destiny.setActionCommand("destiny");
    destiny.addActionListener(this);
    mLinki = new JTextArea(linki,30,20);
    directory = new JTextField(Settings.getValue("PATH"),100);
    JScrollPane scrollPane = new JScrollPane(mLinki);
    Vector<String> prio = new Vector<String>();
    prio.add("Na wczoraj");
    prio.add("Wysoki");
    prio.add("Normalny");
    prio.add("Niski");
    prio.add("Najniższy");
    
    priorytet = new JComboBox(prio);
    priorytet.setSelectedIndex(2);

  this.setLayout(new GridBagLayout());
    GridBagConstraints c = new GridBagConstraints();
    c.fill = GridBagConstraints.HORIZONTAL;
    c.anchor = GridBagConstraints.PAGE_START;
    c.fill = GridBagConstraints.BOTH;
    c.gridx = 0;
    c.gridy = 0;
    c.weightx = 1.0;
    c.weighty = 1.0;
    c.gridwidth = 3;
    add(scrollPane,c);
    c.insets = new Insets(10,10,10,10);  //top padding
    c.ipady = 10;
    c.ipadx = 20;
    c.anchor = GridBagConstraints.CENTER;
    c.gridx = 0;
    c.gridy = 2;
    c.weighty = 0.0;
    c.gridwidth = 2;
    add(priorytet,c);
    c.insets = new Insets(10,10,10,10);  //top padding
    c.gridx = 0;
    c.gridy = 1;
    c.weighty = 0.0;
    c.gridwidth = 3;
    add(directory,c);
    c.gridy = 2;
    c.gridwidth = 1;
    c.gridx = 2;
    add(destiny,c);
    c.anchor = GridBagConstraints.PAGE_END;
    c.gridx = 0;
    c.gridy = 3;
    c.gridwidth = 2;
    add(ok,c);
    c.gridx = 2;
    c.gridwidth = 1;
    add(cancel,c);
    
    
}

 public void actionPerformed(ActionEvent e) {
    if ("destiny".equals(e.getActionCommand())) {
      JFileChooser fc = new JFileChooser(); 
      fc.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
      int returnVal = fc.showOpenDialog(this);
      directory.setText(fc.getSelectedFile().getAbsolutePath());  
    } else if("close".equals(e.getActionCommand())){
      parent.setDodajIsOpen(0);
      setVisible(false);
           dispose();

    } else if("add".equals(e.getActionCommand())){
    parent.add(getLinks(),directory.getText(),(String)priorytet.getSelectedItem());
    parent.getTable().updateUI();
    setVisible(false);
           dispose();
    }
}

  public Vector<String> getLinks(){
  Vector<String> tmp= new Vector<String>();
  String str = new String(mLinki.getText());

   Pattern p = Pattern.compile("http://[^\\s\"<;#'>]*");
   Matcher matcher = p.matcher(str);

   while (matcher.find()) 
   {
    tmp.add(matcher.group());
   }
    
   

  return tmp;
}
public JTextArea getTextArea(){return mLinki;}

public void addString(String str){mLinki=new JTextArea((mLinki.getText()+"\n"+str),30,20);
JScrollPane scrollPane = new JScrollPane(mLinki);
 GridBagConstraints c = new GridBagConstraints();
    c.fill = GridBagConstraints.HORIZONTAL;
    c.anchor = GridBagConstraints.PAGE_START;
    c.fill = GridBagConstraints.BOTH;
    c.gridx = 0;
    c.gridy = 0;
    c.weightx = 1.0;
    c.weighty = 1.0;
    c.gridwidth = 3;
    add(scrollPane,c);
}
} 
